summaryrefslogtreecommitdiff
diff options
context:
space:
mode:
authorChristian Grothoff <christian@grothoff.org>2020-07-22 21:27:16 +0200
committerChristian Grothoff <christian@grothoff.org>2020-07-22 21:27:16 +0200
commitc8a370d9111cee69b6d9b6edc177dcc58eec976a (patch)
treeed355df839488642acd4f8cd898ce877778be8ed
parentc9fb8acd5bbc934eb4eed47b375bf7d968519b95 (diff)
downloadexchange-c8a370d9111cee69b6d9b6edc177dcc58eec976a.tar.gz
exchange-c8a370d9111cee69b6d9b6edc177dcc58eec976a.tar.bz2
exchange-c8a370d9111cee69b6d9b6edc177dcc58eec976a.zip
make GANA update more compatible with incremental compilation (fixes #6431)
-rwxr-xr-xbootstrap10
m---------contrib/gana0
-rwxr-xr-xcontrib/gana.sh25
3 files changed, 19 insertions, 16 deletions
diff --git a/bootstrap b/bootstrap
index ca9ee6dce..1b30b7a8a 100755
--- a/bootstrap
+++ b/bootstrap
@@ -7,15 +7,7 @@ if ! git --version >/dev/null; then
exit 1
fi
-git submodule update --init
-
-# Generate taler-error-codes.h in gana and copy it to
-# src/include/taler_error_codes.h
-cd contrib/gana/gnu-taler-error-codes
-make
-cd ../../..
-cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
-cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
+./contrib/gana.sh
# This is more portable than `which' but comes with
# the caveat of not(?) properly working on busybox's ash:
diff --git a/contrib/gana b/contrib/gana
-Subproject 22192612aab2bf0a5e1e5d452b31fb47594698e
+Subproject 0a9293b4cf1df97c395dc96d7a8ba96cc1fb466
diff --git a/contrib/gana.sh b/contrib/gana.sh
index d430dec33..e6fe32e0a 100755
--- a/contrib/gana.sh
+++ b/contrib/gana.sh
@@ -1,13 +1,24 @@
#!/bin/sh
# Helper script to update to latest GANA
-# Run from exchange/ main directory; make sure you have
-# no uncommitted changes at the time of running the script.
+# Run from exchange/ main directory.
set -eu
+
+git submodule update --init
+
cd contrib/gana
git pull origin master
cd ../..
-git commit -a -S -m "synchronize with latest GANA"
-./bootstrap
-cd src/include
-make install
-cd ../..
+
+# Generate taler-error-codes.h in gana and copy it to
+# src/include/taler_error_codes.h
+cd contrib/gana/gnu-taler-error-codes
+make
+cd ../../..
+if ! diff contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h > /dev/null
+then
+ echo "Deploying latest new GANA database..."
+ cp contrib/gana/gnu-taler-error-codes/taler_error_codes.h src/include/taler_error_codes.h
+ cp contrib/gana/gnu-taler-error-codes/taler_error_codes.c src/util/taler_error_codes.c
+else
+ echo "GANA database already up-to-date"
+fi